/* ==========================================================================
* 파    일 : TarotResultWindow.h
* 목    적 : 점괘 윈도우 
* 작 성 자 : 김가람
* 작 성 일 : 2007-08-02
* 주의사항 :
*===========================================================================*/
#pragma once
#include "UIWindow.h"

class cLabel;
class cGauge;
class cButton;
class cUIImage;
class cTarotWindow;

class cTarotResultWindow : public cUIWindow
{
public:
	cTarotResultWindow();
	virtual ~cTarotResultWindow();

	/// 타로점괘로 나올수 있는 최대 점수세팅
	void SetMaxScore( unsigned int score );

	/// 카드 해석 
	void SetDescription( LPCTSTR desc );

protected:
	bool OnCreate( cUINodeProperty* pproperty );
	void OnCommand( cUINode* pnode, unsigned int id );
	void OnRender( cUIFontItemKeeper* pKeeper );
	void OnShow();
	void OnHide();
	void UpdateSkin();

	/// 오픈 카드 총 수치
	void SetTotalValue();

	/// 카드오픈 버튼 보기
	void ShowButton( bool show );
	void UpdateButton();

private:
	cTarotWindow*		mpMain;

	cLabel*	mpDescription;		/// 카드 해석
	cLabel* mpOpenValue[10];	/// 오픈 카드 수치 총합
	cLabel*	mpOpenTotal;

	cButton*	mpRightBtn;	/// 카드 오픈용 버튼 
	cButton*	mpUpBtn;
	cButton*	mpResult;	/// 운세 결과받기버튼

	/// 점괘수치 게이지
	cGauge*		mpResultGauge;
};